Edge color by material
-
Does anyone know a way to use Ruby to set the style such that edge color is "By material"?
The documentation for Style and Styles is pretty thin. I tried using:
Sketchup.active_model.styles.each {|s| puts s.description}
But I saw nothing in the style description to indicate color was "By material".
-
Sketchup.active_model.rendering_options["DisplayColorByLayer"]=true
for by_layer
Sketchup.active_model.rendering_options["EdgeColorMode"]=N
N=... 0=by_material , 1=all_the_same, 2=by_axisUse
Sketchup.active_model.rendering_options.to_a
to list ALL available rendering options and their current settings......... -
Thanks TIG.
-
I found it to be:
model.rendering_options["EdgeColorMode"]= 0 for Color By material
model.rendering_options["EdgeColorMode"]= 1 for Color All same
model.rendering_options["EdgeColorMode"]= 2 for Color By axis -
I was still editing my post when you replied...
There are lots of ways of modifying your rendering appearance...
Advertisement